<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div class="m-portlet m-portlet--mobile nt-tab-head">
    <div class="m-portlet__body nt-tab-head-body">
      <div class="m-widget5 nt-customer-tab-head">
        <div class="m-widget5__item m-0 p-0 border-bottom-0 d-inline-block nt-tab-head-item">
          <div class="m-widget5__content nt-tab-head-item-content">
            <div class="s--avatar-upload m-widget5__pic d-inline-block nt-avatar-upload">
              <div class="s--avatar-preview nt-avatar-preview">
                <template v-if="isLoader">
                  <div
                    class="m-loader m-loader--brand m-loader--lg"
                    style="width: 30px; height: 30px; display: inline-block; position:absolute; top:50%; left: 50%; transform: translate(-50%, -50%)"
                  ></div>
                </template>
                <template v-else>
                  <div id="nt_image_preview" v-if="detailProductImage">
                    <div class="nt-image-preview">
                      <authenticate-image
                        :image_url="detailProductImage.path_on_server"
                        :image_id="'nt_image_preview'"
                      ></authenticate-image>
                    </div>
                  </div>
                  <div
                    v-else
                    class="nt-image-preview"
                    :style="{ 'background-image': 'url(' + require('@/assets/imgs/no-image.png') + ')' }"
                  ></div>
                </template>
              </div>
              <div class="nt-avatar-upload-file" v-if="!detailProduct.deleted_at">
                <label @click="showPopupAvatar()">
                  <i class="icon icon-photo-camera"></i>
                </label>
                <input
                  type="file"
                  style="display:none;"
                  accept=".png, .jpg, .jpeg, .gif"
                  ref="uploadFile"
                  name="upload_file"
                  id="uploadAvatarInput"
                  @change="changeImage($event)"
                  onclick="this.value = null"
                />
              </div>
            </div>

            <div
              class="s-widget__content-right m-widget5__section d-inline-block pl-0 nt-tab-head-main"
            >
              <h4
                class="m-widget5__title nt-tab-head-main-title"
                v-if="helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'product_name', 'attribute_value')"
              >
                {{ helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'product_name', 'attribute_value') }}
                <span
                  v-if="detailProduct.deleted_at"
                  class="m-badge m-badge--wide"
                  style="background-color: #B82E45; color: #fff;"
                >&nbsp;Xóa tạm</span>
              </h4>
              <div
                class="m-widget5__desc nt-tab-head-extra"
                v-if="helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'product_code', 'attribute_value')"
              >
                <span class="nt-tab-head-extra-label">Mã sản phẩm: &nbsp;</span>
                <span
                  class="nt-tab-head-extra-content"
                >{{ helpers.getAttributeByAttrCodeAndVariableName(detailProduct, 'product_code', 'attribute_value') }}</span>
              </div>
              <div class="m-widget5__desc nt-tab-head-extra" v-else>
                <span class="nt-tab-head-extra-label">Mã sản phẩm: &nbsp;</span>
                <span class="nt-tab-head-extra-content not-value">Chưa cập nhật</span>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div
      data-backdrop="static"
      data-keyboard="false"
      class="modal s--modal fade nt--modal-confirm-choice"
      id="warning_upload_file"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <!--<h3 class="nt&#45;&#45;modal-confirm-choice-title">-->
            <!--Thông báo-->
            <!--</h3>-->
            <div class="nt--modal-confirm-choice-content">
              <div
                class="nt--modal-confirm-choice-content-title-top"
              >Không thể cập nhật ảnh sản phẩm.</div>
              <div class="nt--modal-confirm-choice-content-title-bottom">
                <template v-if="isFileDimensionsAllowedMax">Kích thước tối đa của ảnh là 2000x2000.</template>
                <template v-if="isFileDimensionsAllowedMin">Kích thước tối thiểu của ảnh là 100x100.</template>
                <template
                  v-if="isFileTypeAllowed"
                >Định dạng ảnh được hỗ trợ gồm: JPG, IPEG, PNG, GIF.</template>
                <template v-if="isFileSizeAllowed">
                  Dung lượng file phải dưới 10Mb.
                  <br />Vui lòng chọn lại file.
                </template>
              </div>
            </div>
          </div>

          <div class="modal-footer">
            <button
              class="nt-button nt-button-warning mr-0"
              data-dismiss="modal"
              aria-label="Close"
            >Đóng</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
